=== debian/changelog ===
glite-lb-logger (2.3.4-2) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Fri, 04 May 2012 14:41:26 +0200
