=== debian/control ===
Source: glite-lb-logger
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), chrpath, libcppunit-dev, libglite-jobid-api-c-dev, libglite-lbjp-common-gss-dev, libglite-lbjp-common-log-dev, libglite-lbjp-common-trio-dev, libtool
Standards-Version: 3.9.1
Section: misc
Homepage: http://glite.cern.ch
DM-Upload-Allowed: yes
Vcs-Cvs: :pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw
Vcs-Browser: http://jra1mw.cvs.cern.ch/cgi-bin/jra1mw.cgi

Package: glite-lb-logger
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: gLite Logging and Bookkeeping local-logger and inter-logger
 glite-lb-logger is the gLite LB local-logger and inter-logger. This package
 contains the local-logger (glite-lb-logd), inter-logger (glite-lb-interlogd)
 and notification inter-logger (glite-lb-notif-interlogd)
 daemons.

Package: glite-lb-logger-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, glite-lb-logger (= ${binary:Version}), libglite-lb-common-dev, libglite-lbjp-common-gss-dev, libglite-lbjp-common-log-dev
Description: Development files for gLite L&B logger
 This package contains header files for building plugins for gLite L&B logger.

Package: glite-lb-logger-dbg
Section: debug
Architecture: any
Priority: extra
Depends: glite-lb-logger (= ${binary:Version}), ${misc:Depends}
Description: gLite L&B logger debugging symbols
 This package contains debugging symbols for gLite L&B logger.
