## glite-lb-logger 2.3.5

=== Makefile ===
--- 
+++ 
@@ -48,6 +48,12 @@
 default_nothrflavour=_${nothrflavour}
 endif
 
+os=${shell uname}
+DL_LIBS=
+ifeq (${os},Linux)
+       DL_LIBS=-ldl
+endif
+
 DEBUG:=-g -O0
 CFLAGS:=${CFLAGS} ${DEBUG} \
 	-I${stagedir}${prefix}/include -I${top_srcdir}/src -I${top_srcdir}/interface \
@@ -73,10 +79,9 @@
 HDRS:=interlogd.h il_error.h
 
 COMMON_LIB:=-lglite_lb_common
-
-EXT_LIB:=-lglite_lbu_trio -lglite_lbu_log
-
 GLITE_GSS_LIB:=-lglite_security_gss
+
+EXT_LIB:=-lglite_lbu_trio -lglite_lbu_log ${GLITE_GSS_LIB} -lglite_jobid
 
 CPPUNIT_LIBS?=-L${cppunit_prefix}/${libdir} -lcppunit
 CPPUNIT_CFLAGS?=-I${cppunit_prefix}/include
@@ -147,10 +152,10 @@
 	${LINK} -o $@ ${LOGD_NOBJS} ${COMMON_LIB}${default_nothrflavour} ${EXT_LIB}
 
 glite-lb-interlogd: ${INTERLOG_OBJS}
-	${LINK} -o $@ ${INTERLOG_OBJS} ${COMMON_LIB}${default_thrflavour} ${EXT_LIB} -lpthread
+	${LINK} -o $@ ${INTERLOG_OBJS} ${COMMON_LIB}${default_thrflavour} ${EXT_LIB} -lpthread ${DL_LIBS}
 
 glite-lb-notif-interlogd: ${INTERLOG_NOTIF_OBJS}
-	${LINK} -export-dynamic -o $@ ${INTERLOG_NOTIF_OBJS} ${COMMON_LIB}${default_thrflavour} ${EXT_LIB} -lpthread
+	${LINK} -export-dynamic -o $@ ${INTERLOG_NOTIF_OBJS} ${COMMON_LIB}${default_thrflavour} ${EXT_LIB} -lpthread ${DL_LIBS}
 
 glite-lb-interlogd-perf: ${INTERLOG_PERF_OBJS}
 	${LINK} -o $@ ${INTERLOG_PERF_OBJS} ${COMMON_LIB}${default_thrflavour} ${EXT_LIB} -lpthread
@@ -187,7 +192,7 @@
 	-echo commented out -- fix needed
 
 check.il: ${INTERLOG_TEST_OBJS}
-	${LINKXX} -o $@ ${COMMON_LIB}${default_thrflavour} ${CPPUNIT_LIBS} ${EXT_LIB} -lpthread $+
+	${LINKXX} -o $@ ${COMMON_LIB}${default_thrflavour} ${CPPUNIT_LIBS} ${GLITE_GSS_LIB} -lglite_jobid -lpthread ${DL_LIBS} $+
 
 install:
 	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/bin
@@ -244,6 +249,9 @@
 
 clean:
 	rm -rvf .libs/ *.o *.lo *.no ${LOGD} ${INTERLOGD} ${NOTIF_INTERLOGD} ${MAN_GZ} startup
+	rm -rvf check.ll check.il
 
 distclean:
 	rm -rvf Makefile.inc *.spec debian/
+
+.PHONY: default all compile man stage check install clean distclean dist distcheck
