=== debian/changelog ===
glite-lb-logger (2.3.5-1) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Thu, 26 Jul 2012 12:28:02 +0200
