## glite-lb-logger 2.4.3

=== Makefile ===
--- 
+++ 
@@ -9,6 +9,8 @@
 prefix=
 sysconfdir=/opt/glite/etc
 
+default: all
+
 -include Makefile.inc
 -include ${top_srcdir}/project/version.properties
 
@@ -17,6 +19,17 @@
 CC=gcc
 
 VPATH:=${top_srcdir}/src:${top_srcdir}/test:${top_srcdir}/doc
+
+SOURCES=\
+	config/startup config/glite-lb-logger.* \
+	doc/*.8 \
+	interface/*.h \
+	project/.post* project/.pre* \
+	src/*.c src/*.cpp src/*.h src/*.sh \
+	src-nt/*.cpp src-nt/*.H src-nt/Makefile src-nt/test/*.cpp \
+	test/*.c test/*.cpp test/*.h \
+	LICENSE Makefile
+SOURCES_EXEC=config/startup src/*.sh
 
 VERSION=-DVERSION=\"GLite-${version}\"
 
@@ -48,6 +61,8 @@
 default_nothrflavour=_${nothrflavour}
 endif
 
+GLITE_LBJP_COMMON_GSS_CFLAGS?=`PKG_CONFIG_PATH=$$PKG_CONFIG_PATH:${PREFIX}${prefix}/${libdir}/pkgconfig pkg-config glite-security-gss --cflags`
+
 os=${shell uname}
 DL_LIBS=
 ifeq (${os},Linux)
@@ -55,11 +70,12 @@
 endif
 
 DEBUG:=-g -O0
-CFLAGS:=${CFLAGS} ${DEBUG} \
+CFLAGS:=${DEBUG} \
 	-I${stagedir}${prefix}/include -I${top_srcdir}/src -I${top_srcdir}/interface \
 	-D_GNU_SOURCE \
 	${COVERAGE_FLAGS} \
-	${VERSION} ${LB_STANDALONE_FLAGS} ${LB_PERF_FLAGS} 
+	${VERSION} ${LB_STANDALONE_FLAGS} ${LB_PERF_FLAGS} \
+	${GLITE_LBJP_COMMON_GSS_CFLAGS} ${CFLAGS}
 
 LDFLAGS:=${LDFLAGS} -L${stagedir}${prefix}/${libdir} \
 	${COVERAGE_FLAGS} 
@@ -127,8 +143,6 @@
 MAN_GZ:=glite-lb-interlogd.8.gz glite-lb-logd.8.gz
 MAN = $(MAN_GZ:.gz=)
 
-default: all 
-
 all compile: startup $(LOGD) $(INTERLOGD) $(NOTIF_INTERLOGD) ${MAN_GZ}
 
 startup: ${top_srcdir}/config/startup
@@ -250,6 +264,7 @@
 clean:
 	rm -rvf .libs/ *.o *.lo *.no ${LOGD} ${INTERLOGD} ${NOTIF_INTERLOGD} ${MAN_GZ} startup
 	rm -rvf check.ll check.il
+	rm -rvf dist ${package}-*.tar.gz
 
 distclean:
 	rm -rvf Makefile.inc *.spec debian/
