## glite-lb-logger 2.4.15

=== Makefile ===
--- 
+++ 
@@ -21,14 +21,14 @@
 VPATH:=${top_srcdir}/src:${top_srcdir}/test:${top_srcdir}/doc
 
 SOURCES=\
-	config/startup config/glite-lb-logger.* \
+	config/startup config/glite-lb-logger.* config/systemd.* \
 	doc/*.8 \
 	interface/*.h \
 	project/.post* project/.pre* \
 	src/*.c src/*.cpp src/*.h src/*.sh \
 	src-nt/*.cpp src-nt/*.H src-nt/Makefile src-nt/test/*.cpp \
 	test/*.c test/*.cpp test/*.h \
-	LICENSE Makefile
+	Makefile
 SOURCES_EXEC=config/startup src/*.sh
 
 VERSION=-DVERSION=\"GLite-${version}\"
@@ -44,14 +44,13 @@
 	INTERLOGD:=glite-lb-interlogd-perf \
 		   glite-lb-interlogd-perf-empty 
 #		   glite-lb-interlogd-perf-inline-empty
-	NOTIF_INTERLOGD:=glite-lb-notif-interlogd
 	LB_PERF_FLAGS:=-DLB_PERF
 else
 	LOGD:=glite-lb-logd
 	INTERLOGD:=glite-lb-interlogd
-	NOTIF_INTERLOGD:=glite-lb-notif-interlogd
-	WS_INTERLOGD:=glite-lb-ws-interlogd
-endif
+endif
+NOTIF_INTERLOGD:=glite-lb-notif-interlogd
+PROXY_INTERLOGD:=glite-lb-proxy-interlogd
 
 ifeq (${thrflavour},)
 default_thrflavour=
@@ -67,6 +66,16 @@
 DL_LIBS=
 ifeq (${os},Linux)
        DL_LIBS=-ldl
+endif
+
+ifeq ($(os_type),debian)
+sysdefaultdir=${sysconfdir}/default
+else
+sysdefaultdir=${sysconfdir}/sysconfig
+endif
+
+ifeq ($(os_type),fedora)
+unitdir=`pkg-config systemd --variable=systemdsystemunitdir`
 endif
 
 DEBUG:=-g -O0
@@ -150,7 +159,10 @@
 	if echo "${localstatedir}" | grep 'glite'>/dev/null; then \
 		glite_var="${localstatedir}"; \
 	fi; \
-	sed -e 's:@glite_prefix@:${sysroot}${prefix}:' -e 's:@glite_etc@:${sysconfdir}:' -e "s:@glite_var@:$$glite_var:" $< > $@
+	sed -e 's:@glite_prefix@:${sysroot}${prefix}:g' -e 's:@glite_etc@:${sysconfdir}:g' -e "s:@glite_var@:$$glite_var:g" -e 's:@defaultdir@:${sysdefaultdir}:g' $< > $@
+ifneq ($(os_type),debian)
+	sed -i 's/# \(Default-Start\|Default-Stop\):.*/# \1:/' $@
+endif
 	chmod +x $@
 
 glite-lb-logd: ${LOGD_OBJS}
@@ -210,23 +222,29 @@
 
 install:
 	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/bin
-	-mkdir -p ${DESTDIR}${PREFIX}${sysconfdir}/init.d
-	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
 	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/man/man8
 	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/include/glite/lb
 	${INSTALL} -m 755 ${LOGD} ${DESTDIR}${PREFIX}${prefix}/bin
 	${INSTALL} -m 755 ${INTERLOGD} ${DESTDIR}${PREFIX}${prefix}/bin
 	${INSTALL} -m 755 ${NOTIF_INTERLOGD} ${DESTDIR}${PREFIX}${prefix}/bin
+	ln -sf ${INTERLOGD} ${DESTDIR}${PREFIX}${prefix}/bin/glite-lb-proxy-interlogd
 ifdef LB_PERF
 	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/sbin
 	${INSTALL} -m 755 ${top_srcdir}/src/perftest_ll.sh ${DESTDIR}${PREFIX}${prefix}/sbin
 	${INSTALL} -m 755 ${top_srcdir}/src/perftest_il.sh ${DESTDIR}${PREFIX}${prefix}/sbin
 endif
+	( cd ${top_srcdir}/interface && ${INSTALL} -m 644 ${HDRS} ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${lbprefix} )
+	${INSTALL} -m 644 ${MAN_GZ} ${DESTDIR}${PREFIX}${prefix}/share/man/man8
+ifeq ($(os_type),fedora)
+	mkdir -p ${DESTDIR}${PREFIX}${unitdir}
+	install -m 644 ${top_srcdir}/config/systemd.logd ${DESTDIR}${PREFIX}${unitdir}/glite-lb-logd.service
+	install -m 644 ${top_srcdir}/config/systemd.interlogd ${DESTDIR}${PREFIX}${unitdir}/glite-lb-interlogd.service
+	install -m 644 ${top_srcdir}/config/systemd.notif-interlogd ${DESTDIR}${PREFIX}${unitdir}/glite-lb-notif-interlogd.service
+	install -m 644 ${top_srcdir}/config/systemd.proxy-interlogd ${DESTDIR}${PREFIX}${unitdir}/glite-lb-proxy-interlogd.service
+else
+	-mkdir -p ${DESTDIR}${PREFIX}${sysconfdir}/init.d
 	${INSTALL} -m 755 startup ${DESTDIR}${PREFIX}${sysconfdir}/init.d/glite-lb-locallogger
-	${INSTALL} -m 644 ${top_srcdir}/LICENSE ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
-	( cd ${top_srcdir}/interface && ${INSTALL} -m 644 ${HDRS} ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${lbprefix} )
-	( cd ${top_srcdir}/project && ${INSTALL} -m 644 ChangeLog package.description package.summary ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version} )
-	${INSTALL} -m 644 ${MAN_GZ} ${DESTDIR}${PREFIX}${prefix}/share/man/man8
+endif
 
 ${INTERLOG_NOTIF_OBJS}: %.notif.lo: %.c
 	${COMPILE} ${CFLAGS} -DIL_NOTIFICATIONS -c $< -o $@
@@ -267,6 +285,6 @@
 	rm -rvf dist ${package}-*.tar.gz
 
 distclean:
-	rm -rvf Makefile.inc *.spec debian/
+	rm -rvf project/changelog Makefile.inc *.spec debian/
 
 .PHONY: default all compile man stage check install clean distclean dist distcheck
