=== debian/changelog ===
glite-lb-logger (2.4.15-6+meta) stable; urgency=low

  * Don't check logd in status (ugly but used only temporarily)

 -- František Dvořák <valtri@civ.zcu.cz>  Wed, 18 Apr 2013 13:20:00 +0200

glite-lb-logger (2.4.15-5) stable; urgency=low

  * Refresh Kerberos ticket stright during interlogger startup

 -- František Dvořák <valtri@civ.zcu.cz>  Wed, 17 Apr 2013 16:00:00 +0200

glite-lb-logger (2.4.15-4) stable; urgency=low

  * Change 'useradd -r' to 'adduser --system'

 -- František Dvořák <valtri@civ.zcu.cz>  Wed, 03 Apr 2013 12:30:00 +0200

glite-lb-logger (2.4.15-3) stable; urgency=low

  * Refresh ticket script
  * Fix glite user if needed
  * Stop the services on uninstall

 -- František Dvořák <valtri@civ.zcu.cz>  Wed, 29 Mar 2013 13:15:00 +0100

glite-lb-logger (2.4.15-2) stable; urgency=low

  * Update startup script
  * Remove glite user on uninstall

 -- František Dvořák <valtri@civ.zcu.cz>  Wed, 27 Mar 2013 10:00:00 +0100

glite-lb-logger (2.4.15-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Sun, 03 Feb 2013 20:26:37 +0100
