=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Package: glite-lb-logger
 Section: misc
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, glite-lbjp-common-log
 Description: gLite Logging and Bookkeeping local-logger and inter-logger
  glite-lb-logger is the gLite LB local-logger and inter-logger. This package
  contains the local-logger (glite-lb-logd), inter-logger (glite-lb-interlogd)
