## glite-lb-logger 2.4.20

=== Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 VPATH:=${top_srcdir}/src:${top_srcdir}/test:${top_srcdir}/doc
 
 SOURCES=\
-	config/startup config/glite-lb-logger.* config/systemd.* \
+	config/startup config/startup.* config/glite-lb-logger.* config/systemd.* \
 	doc/*.8 \
 	interface/*.h \
 	project/.post* project/.pre* \
@@ -29,7 +29,7 @@
 	src-nt/*.cpp src-nt/*.H src-nt/Makefile src-nt/test/*.cpp \
 	test/*.c test/*.cpp test/*.h \
 	Makefile
-SOURCES_EXEC=config/startup src/*.sh
+SOURCES_EXEC=config/startup config/startup.* src/*.sh
 
 VERSION=-DVERSION=\"GLite-${version}\"
 
@@ -104,7 +104,7 @@
 HDRS:=interlogd.h il_error.h
 
 COMMON_LIB:=-lglite_lb_common
-GLITE_GSS_LIB:=-lglite_security_gss
+GLITE_GSS_LIB:=-lglite_security_gss${default_thrflavour}
 
 EXT_LIB:=-lglite_lbu_trio -lglite_lbu_log ${GLITE_GSS_LIB} -lglite_jobid
 
@@ -152,17 +152,23 @@
 MAN_GZ:=glite-lb-interlogd.8.gz glite-lb-logd.8.gz
 MAN = $(MAN_GZ:.gz=)
 
-all compile: startup $(LOGD) $(INTERLOGD) $(NOTIF_INTERLOGD) ${MAN_GZ}
-
-startup: ${top_srcdir}/config/startup
+SCRIPTS:=startup
+SCRIPTS_SRC=$(addprefix ${top_srcdir}/config/,${SCRIPTS})
+
+all compile: ${SCRIPTS} $(LOGD) $(INTERLOGD) $(NOTIF_INTERLOGD) ${MAN_GZ}
+
+${SCRIPTS}: ${SCRIPTS_SRC}
 	glite_var="${localstatedir}/glite"; \
 	if echo "${localstatedir}" | grep 'glite'>/dev/null; then \
 		glite_var="${localstatedir}"; \
 	fi; \
-	sed -e 's:@glite_prefix@:${sysroot}${prefix}:g' -e 's:@glite_etc@:${sysconfdir}:g' -e "s:@glite_var@:$$glite_var:g" -e 's:@defaultdir@:${sysdefaultdir}:g' $< > $@
+	sed -e 's:@glite_prefix@:${sysroot}${prefix}:g' -e 's:@glite_etc@:${sysconfdir}:g' -e "s:@glite_var@:$$glite_var:g" -e 's:@defaultdir@:${sysdefaultdir}:g' ${top_srcdir}/config/$@ > $@
 ifneq ($(os_type),debian)
 	sed -i 's/# \(Default-Start\|Default-Stop\):.*/# \1:/' $@
 endif
+	sed "s/^@$(os_type)@//" $@ > $@.tmp
+	grep -v '^@' $@.tmp > $@
+	rm $@.tmp
 	chmod +x $@
 
 glite-lb-logd: ${LOGD_OBJS}
@@ -196,10 +202,8 @@
 #	${LINK} -o $@ ${INTERLOG_INLINE_EMPTY_OBJS} \
 #		${COMMON_LIB}${default_thrflavour}
 
-${MAN_GZ}: ${MAN}
-	rm -f ${MAN_GZ} ${MAN}
-	cp $? .
-	gzip -9 -f $(notdir $?)
+%.8.gz: %.8
+	gzip -9 -f -c $< > $@
 
 man: ${MAN_GZ}
 
@@ -224,10 +228,12 @@
 	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/bin
 	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/man/man8
 	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/include/glite/lb
+	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/glite-lb-logger
 	${INSTALL} -m 755 ${LOGD} ${DESTDIR}${PREFIX}${prefix}/bin
 	${INSTALL} -m 755 ${INTERLOGD} ${DESTDIR}${PREFIX}${prefix}/bin
 	${INSTALL} -m 755 ${NOTIF_INTERLOGD} ${DESTDIR}${PREFIX}${prefix}/bin
-	ln -sf ${INTERLOGD} ${DESTDIR}${PREFIX}${prefix}/bin/glite-lb-proxy-interlogd
+	${INSTALL} -m 755 ${INTERLOGD} ${DESTDIR}${PREFIX}${prefix}/bin/glite-lb-proxy-interlogd
+	${INSTALL} -m 755 ${top_srcdir}/src/lb_krb_ticket.sh ${DESTDIR}${PREFIX}${prefix}/share/glite-lb-logger
 ifdef LB_PERF
 	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/sbin
 	${INSTALL} -m 755 ${top_srcdir}/src/perftest_ll.sh ${DESTDIR}${PREFIX}${prefix}/sbin
@@ -235,15 +241,25 @@
 endif
 	( cd ${top_srcdir}/interface && ${INSTALL} -m 644 ${HDRS} ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${lbprefix} )
 	${INSTALL} -m 644 ${MAN_GZ} ${DESTDIR}${PREFIX}${prefix}/share/man/man8
+ifeq ($(os_type),redhat)
+	mkdir -p ${DESTDIR}${PREFIX}${sysconfdir}/rc.d/init.d
+	${INSTALL} -m 755 startup ${DESTDIR}${PREFIX}${sysconfdir}/rc.d/init.d/glite-lb-locallogger
+	for d in logd interlogd notif-interlogd proxy-interlogd; do \
+		${INSTALL} -m 755 ${top_srcdir}/config/startup.redhat.$$d ${DESTDIR}${PREFIX}${sysconfdir}/rc.d/init.d/glite-lb-$$d; \
+	done
+endif
 ifeq ($(os_type),fedora)
 	mkdir -p ${DESTDIR}${PREFIX}${unitdir}
-	install -m 644 ${top_srcdir}/config/systemd.logd ${DESTDIR}${PREFIX}${unitdir}/glite-lb-logd.service
-	install -m 644 ${top_srcdir}/config/systemd.interlogd ${DESTDIR}${PREFIX}${unitdir}/glite-lb-interlogd.service
-	install -m 644 ${top_srcdir}/config/systemd.notif-interlogd ${DESTDIR}${PREFIX}${unitdir}/glite-lb-notif-interlogd.service
-	install -m 644 ${top_srcdir}/config/systemd.proxy-interlogd ${DESTDIR}${PREFIX}${unitdir}/glite-lb-proxy-interlogd.service
-else
-	-mkdir -p ${DESTDIR}${PREFIX}${sysconfdir}/init.d
+	for d in logd interlogd notif-interlogd proxy-interlogd; do \
+		install -m 644 ${top_srcdir}/config/systemd.$$d ${DESTDIR}${PREFIX}${unitdir}/glite-lb-$$d.service ; \
+	done
+endif
+ifeq ($(os_type),debian)
+	mkdir -p ${DESTDIR}${PREFIX}${sysconfdir}/init.d
 	${INSTALL} -m 755 startup ${DESTDIR}${PREFIX}${sysconfdir}/init.d/glite-lb-locallogger
+	for d in logd interlogd notif-interlogd proxy-interlogd; do \
+		${INSTALL} -m 755 ${top_srcdir}/config/startup.debian.$$d ${DESTDIR}${PREFIX}${sysconfdir}/init.d/glite-lb-$$d ; \
+	done
 endif
 
 ${INTERLOG_NOTIF_OBJS}: %.notif.lo: %.c
@@ -280,7 +296,7 @@
 	${CXX} ${CFLAGS} ${CPPUNIT_CFLAGS} -c $< -o $@
 
 clean:
-	rm -rvf .libs/ *.o *.lo *.no ${LOGD} ${INTERLOGD} ${NOTIF_INTERLOGD} ${MAN_GZ} startup
+	rm -rvf .libs/ *.o *.lo *.no ${LOGD} ${INTERLOGD} ${NOTIF_INTERLOGD} ${MAN_GZ} ${SCRIPTS}
 	rm -rvf check.ll check.il
 	rm -rvf dist ${package}-*.tar.gz
