=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Package: glite-lb-logger
 Section: misc
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, glite-lbjp-common-log
+Depends: ${shlibs:Depends}, ${misc:Depends}, glite-lbjp-common-log, lsb-base (>= 3.2-14), adduser
 Description: gLite Logging and Bookkeeping local-logger and inter-logger
  glite-lb-logger is the gLite LB local-logger and inter-logger. This package
  contains the local-logger (glite-lb-logd), inter-logger (glite-lb-interlogd)
@@ -32,5 +32,5 @@
 Architecture: any
 Priority: extra
 Depends: glite-lb-logger (= ${binary:Version}), ${misc:Depends}
-Description: gLite L&B logger debugging symbols
+Description: Debugging symbols for gLite L&B logger
  This package contains debugging symbols for gLite L&B logger.
